package com.steerinfo.ems.tmaintenance.mapper;

import com.steerinfo.ems.tmaintenance.model.TMaintenance;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import com.steerinfo.framework.service.pagehelper.PageList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TMaintenanceMapper extends IBaseMapper<TMaintenance, String> {
    Integer selectMaxId(@Param(value = "declaretime") String mouth);
    List<TMaintenance> selectAll();
    Integer deleMes(@Param(value = "declareid")String ids,String timeid);
    Integer pusMes(TMaintenance param);
    Integer pusMesAll(@Param(value = "declareid")String declareid,@Param(value = "billstatus")String billstatus);
    Integer pusMesAlla(@Param(value = "declareid")String declareid,@Param(value = "billstatus")String billstatus,@Param(value = "approver")String approver,@Param(value = "signtime")String datetime);
    List<TMaintenance> selectLike(Map<String, Object> parameters);
    List<TMaintenance> selectLikes(Map<String, Object> parameters);
    List<TMaintenance> approval(Map<String, Object> parameters);
    Integer updatecheck(@Param(value = "declareid")String ids);
    String selectfilename(String filname);
}